Loading...
Searching...
No Matches
kernel_tests.h File Reference
`#include "qa_utils.h"`
`#include <volk/volk.h>`
`#include <cmath>`
`#include <limits>`
`#include <vector>`

Go to the source code of this file.

## Macros

#define | VOLK_INIT_PUPP(func, puppet_master_func, test_params)
#define | VOLK_INIT_TEST(func, test_params)
#define | QA(test)

## Functions

std::vector< volk_test_case_t > | init_test_list (volk_test_params_t test_params)

## Macro Definition Documentation

## QA

#define QA | ( |  | test | ) |

Value:
test_cases.push_back(test);

## VOLK_INIT_PUPP

#define VOLK_INIT_PUPP | ( |  | func,
|  |  | puppet_master_func,
|  |  | test_params )

Value:
volk_test_case_t(func##_get_func_desc(), \
(void (*)())func##_manual, \
std::string(#func), \
std::string(#puppet_master_func), \
test_params)

## VOLK_INIT_TEST

#define VOLK_INIT_TEST | ( |  | func,
|  |  | test_params )

Value:
volk_test_case_t(func##_get_func_desc(), \
(void (*)())func##_manual, \
std::string(#func), \
test_params)

## Function Documentation

## init_test_list()

std::vector< volk_test_case_t > init_test_list | ( | volk_test_params_t | test_params | ) |